Cisco Blogs


Cisco Blog > High Performance Computing Networking

Do you MPI-2.2?

October 26, 2010
at 4:35 pm PST

Open question to MPI developers: are you using the features added in MPI-2.2?

I ask because I took a little heat in the last MPI Forum meeting for not driving Open MPI to be MPI-2.2 compliant (Open MPI is MPI-2.1 compliant; there’s 4 open tickets that need to be completed for full MPI-2.2 compliance).

But I’m having a hard time finding users who want or need these specific functionalities (admittedly, they’re somewhat obscure).  We’ll definitely get to these items someday — the question is whether that someday needs to be soon or whether it can be a while from now.

Here’s a quick summary of what we have left to do:

  • #1368: We’re missing some C datatypes in the Fortran bindings, and vice versa.  Although to be fair, this is a pretty common problem across MPI implementations.  I guess no one has asked for this particular feature in a long, long time…
  • #2219: Add some new MPI datatypes (e.g., MPI_UINT8_T, MPI_AINT, …etc.).
  • #2221: Make MPI_EXSCAN support MPI_IN_PLACE.
  • #2223: Add the MPI_DIST_GRAPH_* functions.

All of these are Good Things, of course, but it’s a question of priority.  There’s a million other Good Things to do in Open MPI — which should we do first?  So far, the answer has been to do these four… er… not first.

Good decision?  Bad decision?  Let me know if you need this stuff.

Tags: ,

In an effort to keep conversations fresh, Cisco Blogs closes comments after 60 days. Please visit the Cisco Blogs hub page for the latest content.

1 Comments.


  1. 2219 is the only one which would bother me if I was allowed to use OpenMPI :-)

       0 likes